# Search Logger

## Description
Search Logger is a phpBB extension that logs all search queries made by users.
The extension stores the username (respecting the group color), the search query, the number of results, and the date/time of the search, and provides export functionality in various formats.

## Features
- Comprehensive logging of user search activities
- Multilingual support (English and Italian)
- Admin Control Panel (ACP) for configuration
- Export logs in multiple formats (CSV, JSON, TXT, Excel)
- Configurable log retention period
- User colors based on group membership
- Language-specific date formatting (phpbb standard)
- Search results counter

## Requirements
- phpBB 3.2.0 or higher
- PHP 7.1.0 or higher
- For Excel export: PhpOffice/PhpSpreadsheet (optional, recommended)

## Installation
1. Download and extract the package
2. Copy the folder to your phpBB forum's `ext/` directory
3. Access the Admin Control Panel (ACP)
4. Enable the extension under "Customize" -> "Extension Management"
5. Configure the extension under "Extensions" -> "Search Logger"

## Support
For issues, suggestions, or bug reports, visit:
https://github.com/TakeOver/searchlogger

## License
Released under GNU General Public License v2.0

---

# Search Logger

## Descrizione
Search Logger è un'estensione per phpBB che registra tutte le ricerche effettuate dagli utenti.
L'estensione archivia il nome utente (rispettando il colore del gruppo), la query di ricerca, il numero di risultati e la data/ora della ricerca, e fornisce funzionalità di esportazione in vari formati.

## Caratteristiche
- Registrazione completa delle attività di ricerca degli utenti
- Supporto multilingua (Italiano e Inglese)
- Pannello di controllo amministrativo (ACP) per configurazione
- Esportazione dei log in diversi formati (CSV, JSON, TXT, Excel)
- Periodo di conservazione dei log configurabile
- Colori utente in base al gruppo
- Formattazione delle date in base alla lingua (phpbb standard)
- Contatore dei risultati di ricerca

## Requisiti
- phpBB 3.2.0 o superiore
- PHP 7.1.0 o superiore
- Per l'esportazione in Excel: PhpOffice/PhpSpreadsheet (opzionale, consigliato)

## Installazione
1. Scaricare e decomprimere il pacchetto
2. Copiare la cartella nella directory `ext/` del forum phpBB
3. Accedere al Pannello di Controllo Amministrazione (ACP)
4. Abilitare l'estensione sotto "Personalizza" -> "Gestione estensioni"
5. Configurare l'estensione in "Estensioni" -> "Search Logger"

## Supporto
Per problemi, suggerimenti o segnalazioni di bug, visitare:
https://github.com/TakeOver/searchlogger

## Licenza
Rilasciata sotto licenza GNU General Public License v2.0
