<?php
/**
 * Search Logger - Extension Info
 *
 * @package   SearchLogger
 * @copyright (c) 2025 salvocortesiano
 * @license   GNU General Public License, version 2 (GPL-2.0)
 */

namespace salvocortesiano\searchlogger;

/**
 * Extension class for custom enable/disable/purge actions
 */
class ext extends \phpbb\extension\base
{
    /**
     * Enable extension if phpBB version requirement is met
     *
     * @return bool
     */
    public function is_enableable()
    {
        // Require phpBB 3.2.0 or newer
        $config = $this->container->get('config');
        
        // Version check
        $is_version_valid = version_compare($config['version'], '3.2.0', '>=');
        
        // PhpSpreadsheet check - but don't fail if not present as we'll handle this later
        if (!class_exists('\PhpOffice\PhpSpreadsheet\Spreadsheet'))
        {
            $language = $this->container->get('language');
            $language->add_lang('searchlogger', 'salvocortesiano/searchlogger');
            
            // Add a log message but still allow the extension to be enabled
            $phpbb_log = $this->container->get('log');
            $phpbb_log->add('admin', ANONYMOUS, '', 'LOG_SEARCHLOGGER_EXCEL_MISSING');
        }
        
        return $is_version_valid;
    }

    /**
     * Actions to perform when the extension is being enabled
     *
     * @param mixed $old_state State returned by previous call of this method
     * @return mixed Returns false after last step, otherwise temporary state
     */
    public function enable_step($old_state)
    {
        // Run parent enable step method
        return parent::enable_step($old_state);
    }

    /**
     * Actions to perform when the extension is being disabled
     *
     * @param mixed $old_state State returned by previous call of this method
     * @return mixed Returns false after last step, otherwise temporary state
     */
    public function disable_step($old_state)
    {
        // Run parent disable step method
        return parent::disable_step($old_state);
    }

    /**
     * Actions to perform when the extension is being purged
     *
     * @param mixed $old_state State returned by previous call of this method
     * @return mixed Returns false after last step, otherwise temporary state
     */
    public function purge_step($old_state)
    {
        // Run parent purge step method
        return parent::purge_step($old_state);
    }
}
