<?php
/**
 * Search Logger - ACP Language (EN)
 *
 * @package   SearchLogger
 * @copyright (c) 2025 salvocortesiano
 * @license   GNU General Public License, version 2 (GPL-2.0)
 */

if (!defined('IN_PHPBB'))
{
    exit;
}

if (empty($lang) || !is_array($lang))
{
    $lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine

$lang = array_merge($lang, array(
    'ACP_SEARCHLOGGER_TITLE'                => 'Search Logger',
    'ACP_SEARCHLOGGER_SETTINGS'             => 'Settings',
    'ACP_SEARCHLOGGER_VIEW'                 => 'View Logs',
    'ACP_SEARCHLOGGER_SETTINGS_EXPLAIN'     => 'Here you can configure the Search Logger extension settings.',
    'ACP_SEARCHLOGGER_VIEW_EXPLAIN'         => 'This page displays a list of all search queries made by users.',
    'ACP_SEARCHLOGGER_SEARCH_RESULTS'       => 'Results',
    
    'ACP_SEARCHLOGGER_ENABLE'               => 'Enable Search Logger',
    'ACP_SEARCHLOGGER_ENABLE_EXPLAIN'       => 'You can enable or disable the logging of search queries.',
    'ACP_SEARCHLOGGER_RETENTION_DAYS'       => 'Log Retention Period',
    'ACP_SEARCHLOGGER_RETENTION_DAYS_EXPLAIN' => 'Number of days to keep search logs. Older logs will be automatically deleted. Set to 0 to keep logs indefinitely.',
    
    'ACP_SEARCHLOGGER_SETTINGS_SAVED'       => 'Search Logger settings have been saved successfully.',
    'ACP_SEARCHLOGGER_NO_LOGS'              => 'No search logs found.',
    'ACP_SEARCHLOGGER_EXPORT'               => 'Export',
    'ACP_SEARCHLOGGER_EXPORT_FORMAT'        => 'Export Format',
    'ACP_SEARCHLOGGER_EXPORT_HEADER'        => 'Search Logs Export',
    'ACP_SEARCHLOGGER_DELETE_ALL'           => 'Delete All Logs',
    'ACP_SEARCHLOGGER_CONFIRM_DELETE'       => 'Are you sure you want to delete all search logs?',
    'ACP_SEARCHLOGGER_LOGS_DELETED'         => 'All search logs have been deleted successfully.',
    'ACP_SEARCHLOGGER_INVALID_FORMAT'       => 'Invalid export format.',
    'ACP_SEARCHLOGGER_EXCEL_LIBRARY_MISSING' => 'PhpSpreadsheet library is missing. Please install it to export to Excel format.',
	'ACP_SEARCHLOGGER_PHPSPREADSHEET_REQUIRED' => 'PhpSpreadsheet library is missing. Please install it to export to Excel format.',
    'ACP_SEARCHLOGGER_EXCEL_ERROR'           => 'An error occurred while creating the Excel file',
));
