<?php
/**
 * Search Logger - ACP Module Migration
 *
 * @package   SearchLogger
 * @copyright (c) 2025 salvocortesiano
 * @license   GNU General Public License, version 2 (GPL-2.0)
 */

namespace salvocortesiano\searchlogger\migrations;

class install_acp_module extends \phpbb\db\migration\migration
{
    public static function depends_on()
    {
        return ['\phpbb\db\migration\data\v32x\v321'];
    }

    public function update_data()
    {
        return [
            // Add ACP modules
            ['module.add', [
                'acp',
                'ACP_CAT_DOT_MODS',
                'ACP_SEARCHLOGGER_TITLE'
            ]],
            ['module.add', [
                'acp',
                'ACP_SEARCHLOGGER_TITLE',
                [
                    'module_basename'    => '\salvocortesiano\searchlogger\acp\main_module',
                    'modes'              => ['settings', 'view'],
                ],
            ]],
        ];
    }
}